Outbounds
Outbound tests and traffic counters.
3 endpoints
POST /api/outbounds/test
Test Outbounds
Run a connectivity test for an outbound on the panel or on a node (over SSH) and return the result.
Sudo admin only
Request body application/json · TestIn
| Field | Type | Required | Description |
|---|---|---|---|
outbounds | object[] | yes | |
server | string | no | Default: "master". |
url | string | no | |
sites | boolean | no | Default: true. |
json
{
"outbounds": [
{}
],
"server": "master",
"url": "string",
"sites": true
}Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X POST 'https://YOUR-PANEL/api/outbounds/test' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"outbounds": [{}], "server": "master", "url": "string", "sites": true}'GET /api/outbounds/traffic
Get Traffic
Traffic counters per outbound.
Sudo admin only
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X GET 'https://YOUR-PANEL/api/outbounds/traffic' \
-H 'Authorization: Bearer $TOKEN'POST /api/outbounds/traffic/reset
Reset Traffic
Reset the outbound traffic counters.
Sudo admin only
Request body application/json · ResetIn
| Field | Type | Required | Description |
|---|---|---|---|
tag | string | no |
json
{
"tag": "string"
}Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
bash
curl -X POST 'https://YOUR-PANEL/api/outbounds/traffic/reset' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"tag": "string"}'